package roman

import "strings"

func ConvertToRoman(arabic int) string {
	var converted strings.Builder
	for arabic > 0 {
		switch {
		case arabic > 4:
			converted.WriteString("V")
			arabic -= 5
		case arabic > 3:
			converted.WriteString("IV")
			arabic -= 4
		default:
			converted.WriteString("I")
			arabic -= 1
		}
	}

	return converted.String()
}
